#pragma once


// CResultDlg 대화 상자입니다.

class CResultDlg : public CDialog
{
	DECLARE_DYNAMIC(CResultDlg)

public:
	CResultDlg(CWnd* pParent = NULL);   // 표준 생성자입니다.
	virtual ~CResultDlg();

// 대화 상자 데이터입니다.
	enum { IDD = IDD_RESULT_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

// Attributes
public:
	bool IsAlreadyShow()		{ return m_bAlreadyShow; }
	void SetResult(INT nTotalCount, INT nFailedCount, CString strFailedFiles = _T(""));
	
// Data Members
private:
	CString m_strResult;
	CString m_strFailedFiles;
	bool m_bAlreadyShow;
protected:
	virtual void OnOK();
	virtual void OnCancel();
};
